obs-studio 编译-vs2017+qt5.12环境搭建

发布于:2021-10-21 15:49:46

一,环境准备
1.项目预构建依赖【FFmpeg, x264, cURL, and mbedTLS】
https://obsproject.com/downloads/dependencies2017.zip


2.Qt5.12
http://download.qt.io/archive/qt/5.12/


3.cmake
https://cmake.org/download/
下载对应版本注意下载的版本最低要3.16以上,最后下载的3.17.4

4,拉取obs源码:拉取的OBS版本号是25.0.8
git clone --recursive https://github.com/obsproject/obs-studio.git
二,配置项目组件
1,解压cmake , dependencies2017.zip
1.打开bincmake-gui.exe


2,生成.sln工程路径


3.配置cmake build 变量


a,添加BUILD_TESTS项值为true 用于构建测试


b,添加QTDIR项值为qt5 32项目的目录


c,添加DepsPath项值为依赖所在目录


4.Configure
generator选 Visual Studio 15 2017 *台为32位或者64位


确保COPY_DEPENDENCIES 为 true,Libavcode_DIR配置为依赖组件目录


5,Generate 生成obs的sln工程

备注:部分图片是转载的,是一样的操作。主要的是版本号要控制好,vs2017,cmake3.17.4(cmake 3.16以上都ok) ,obs 25.0.8,OBS支持vs2017的都OK。

相关推荐

最新更新

猜你喜欢